Subject: bug#36725: 26.1; Emacs can't connect to gnu elpa

From: Tim Cross <[email-masked]>
Date: Fri, 19 Jul 2019 22:15:55 +1000

Should have be a little clearer. That work-around causes all https
connections to fail. As you will see from the error I posted, that error
was from melpa, which works without that setting. The same error with
elpa.gnu.org as well.  Without that setting, the melpa https connection
works and only the elpa https connection fails.

Tim

On Fri, 19 Jul 2019 at 22:09, Tim Cross <[email-masked]> wrote:

> Yep, checked and it made no difference. Did get a little more wrt error
> info
>
> gnutls.el: (err=[-50] The request is invalid.) boot: (:priority
> "NORMAL:-VERS-TLS1.3" :hostname melpa.org :loglevel 0 :min-prime-bits 256
> :trustfiles (/etc/ssl/certs/ca-certificates.crt) :crlfiles nil :keylist nil
> :verify-flags nil :verify-error nil :callbacks nil)
>
> Also tried with TLS 1.2, same error.
>
>
>
> On Fri, 19 Jul 2019 at 22:02, Noam Postavsky <[email-masked]> wrote:
>
>> Robert Pluim <[email-masked]> writes:
>>
>> >     Noam> Does (setq gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3")
>> help?  If
>> >     Noam> yes, this is likely Bug#34341 (should already be fixed
>> already in
>> >     Noam> emacs-26, and the 26.2.90 pretest).
>> >
>> > elpa.gnu.org uses TLS1.2, not TLS1.3. But emacs-27 has a bunch of
>> > changes in its TLS handling that might improve matters.
>>
>> Hmm, it does.  On the other hand, Lennard told me [Lennard, please use
>> "Reply All" next time so your response goes to the bug list] that (setq
>> gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3") did actually help.
>>
>> Tim, can you check the gnutls-algorithm-priority workaround too?
>>
>>
>
> --
> regards,
>
> Tim
>
> --
> Tim Cross
>
>

-- 
regards,

Tim

--
Tim Cross